From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/ddcutil/
Date: Thu, 30 Jul 2020 23:07:51 +0000 (UTC) [thread overview]
Message-ID: <1596150462.b6a980e776954dbc69640c3afc2d1204c3a8d8f5.robbat2@gentoo> (raw)
commit: b6a980e776954dbc69640c3afc2d1204c3a8d8f5
Author: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 30 23:05:33 2020 +0000
Commit: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Thu Jul 30 23:07:42 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b6a980e7
app-misc/ddcutil: version bump
Fixes: https://bugs.gentoo.org/713176
Fixes: https://bugs.gentoo.org/666094
Fixes: https://bugs.gentoo.org/662804
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
app-misc/ddcutil/Manifest | 1 +
app-misc/ddcutil/ddcutil-0.9.9.ebuild | 114 ++++++++++++++++++++++++++++++++++
app-misc/ddcutil/metadata.xml | 5 +-
3 files changed, 119 insertions(+), 1 deletion(-)
diff --git a/app-misc/ddcutil/Manifest b/app-misc/ddcutil/Manifest
index e60f5f8da78..65115188f11 100644
--- a/app-misc/ddcutil/Manifest
+++ b/app-misc/ddcutil/Manifest
@@ -1,2 +1,3 @@
DIST ddcutil-0.9.1.tar.gz 656853 BLAKE2B e4f11253176587cb5ee3c9647a01ab04d5a92ce4ca7a4098378318fc069e635e43c3716ace316498f64ceaaa00aa90db3b5f409b74b8d7089a7c25254c0e360d SHA512 b2d5866606a4bc081d89180e910822f2a2a653a2782e3df582536ddc86c7d3dc02309dbb41f8d566f6ebdc5d82d3aa11792a04c28b3d83552b024dfd59891fda
DIST ddcutil-0.9.5.tar.gz 681534 BLAKE2B 6746c239738d4f8eb7fe56323816fadee9b8fa9ad2b66a8242782e0b2688182c0140b40b9eddb3b54ad32c7ff7d1f0cf9a28c5477a48d90cc39431ed82f5d443 SHA512 6249ebdbb398ad5a6c32f3891be8bf5328114b1ed08afd75adf4b67f10a40f19451e188ce5cd88b3153a18f317e394146a34258a7d2298f126be227d7e1c25e8
+DIST ddcutil-0.9.9.tar.gz 725207 BLAKE2B ad7b0b35ad4c2dae21da066e4194209579d774ded10f2dc0d8d7d3d94e70d5893c3d1f772b86ea01be510cfb8d51a657178228d028ca34ab20d344e86e0581d2 SHA512 f7b2b961c6b76ef59f336290b494cdd331556848de881d57e5240075d50733030df4c47131070f1276907d712a45f60dad6bebaa052a66621b8b5517ff293c21
diff --git a/app-misc/ddcutil/ddcutil-0.9.9.ebuild b/app-misc/ddcutil/ddcutil-0.9.9.ebuild
new file mode 100644
index 00000000000..08aaa306dd0
--- /dev/null
+++ b/app-misc/ddcutil/ddcutil-0.9.9.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools flag-o-matic linux-info udev user
+
+DESCRIPTION="Program for querying and changing monitor settings"
+HOMEPAGE="http://www.ddcutil.com/"
+SRC_URI="https://github.com/rockowitz/ddcutil/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="drm introspection usb-monitor user-permissions video_cards_nvidia X"
+REQUIRED_USE="drm? ( X )"
+
+RDEPEND="dev-libs/glib:2
+ sys-apps/i2c-tools
+ virtual/udev
+ drm? ( x11-libs/libdrm )
+ introspection? ( >=dev-libs/gobject-introspection-1.54.0:= )
+ usb-monitor? (
+ dev-libs/hidapi
+ virtual/libusb:1
+ sys-apps/usbutils
+ )
+ X? (
+ x11-libs/libXrandr
+ x11-libs/libX11
+ )"
+
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+pkg_pretend() {
+ # This program needs /dev/ic2-* devices to communicate with the monitor.
+ CONFIG_CHECK="~I2C_CHARDEV"
+ ERROR_I2C_CHARDEV="You must enable I2C_CHARDEV in your kernel to continue"
+ if use usb-monitor; then
+ CONFIG_CHECK+=" ~HIDRAW ~USB_HIDDEV"
+ ERROR_HIDRAW="HIDRAW is needed to support USB monitors"
+ ERROR_I2C_CHARDEV="USB_HIDDEV is needed to support USB monitors"
+ fi
+
+ # Now do the actual checks setup above
+ check_extra_config
+}
+
+src_prepare() {
+ default
+ eautoreconf
+ sed -i -e "s#usr/local/bin#usr/bin#" data/etc/udev/rules.d/45-ddcutil-usb.rules || die
+}
+
+src_configure() {
+ # Bug 607818.
+ replace-flags -O3 -O2
+
+ local myeconfargs=(
+ $(use_enable drm)
+ $(use_enable usb-monitor usb)
+ $(use_enable X x11)
+ --enable-lib
+ # Please read upstream's note about the original purpose of these flags before re-enabling them:
+ # https://github.com/rockowitz/ddcutil/issues/128
+ # As of 0.9.9 the following no longer compile:
+ # Python3 & CFFI is already broken as of Python 3.7, with future removal;
+ # SWIG : Python3.7 breakage as well PyFileObject vs PyCodeObject
+ --disable-cffi
+ --disable-cython
+ --disable-swig
+ $(use_enable introspection)
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ if use user-permissions; then
+ udev_dorules data/etc/udev/rules.d/45-ddcutil-i2c.rules
+ if use usb-monitor; then
+ udev_dorules data/etc/udev/rules.d/45-ddcutil-usb.rules
+ fi
+ fi
+}
+
+pkg_postinst() {
+ if use user-permissions; then
+ enewgroup i2c
+ einfo "To allow non-root users access to the /dev/i2c-* devices, add those"
+ einfo "users to the i2c group: usermod -aG i2c user"
+ einfo "Restart the computer or reload the i2c-dev module to activate"
+ einfo "the new udev rule."
+ einfo "For more information read: http://www.ddcutil.com/i2c_permissions/"
+
+ if use usb-monitor; then
+ enewgroup video
+ einfo "To allow non-root users access to USB monitors, add those users"
+ einfo "to the video group: usermod -aG video user"
+ einfo "Restart the computer, reload the hiddev and hidraw modules, or replug"
+ einfo "the monitor to activate the new udev rule."
+ einfo "For more information read: http://www.ddcutil.com/usb/"
+ fi
+
+ udev_reload
+ fi
+
+ if use video_cards_nvidia; then
+ ewarn "Please read the following webpage on proper usage with the nVidia "
+ ewarn "binary drivers, or it may not work: http://www.ddcutil.com/nvidia/"
+ fi
+}
diff --git a/app-misc/ddcutil/metadata.xml b/app-misc/ddcutil/metadata.xml
index 4ed719a346c..e65496c2188 100644
--- a/app-misc/ddcutil/metadata.xml
+++ b/app-misc/ddcutil/metadata.xml
@@ -1,7 +1,10 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <!-- maintainer-needed -->
+ <maintainer type="person">
+ <email>robbat2@gentoo.org</email>
+ <name>Robin H. Johnson</name>
+ </maintainer>
<longdescription>
ddcutil primarily uses DDC/CI (Display Data Channel Command Interface)
to communicate with monitors implementing MCCS (Monitor Control Command
next reply other threads:[~2020-07-30 23:07 UTC|newest]
Thread overview: 51+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-07-30 23:07 Robin H. Johnson [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-30 19:59 [gentoo-commits] repo/gentoo:master commit in: app-misc/ddcutil/ Sam James
2024-10-27 6:50 Arthur Zamarin
2024-10-25 21:25 Sam James
2024-10-25 21:25 Sam James
2024-10-25 21:25 Sam James
2024-02-24 11:32 Andrew Ammerlaan
2024-02-24 11:32 Andrew Ammerlaan
2024-02-17 21:17 Sam James
2024-02-08 9:06 Andrew Ammerlaan
2024-02-08 9:06 Andrew Ammerlaan
2024-02-01 9:41 Andrew Ammerlaan
2024-02-01 9:41 Andrew Ammerlaan
2024-01-22 13:43 Andrew Ammerlaan
2023-12-11 7:31 Andrew Ammerlaan
2023-12-01 18:58 Arthur Zamarin
2023-11-24 9:37 Andrew Ammerlaan
2023-11-24 9:37 Andrew Ammerlaan
2023-06-30 21:14 Sam James
2023-06-30 21:14 Sam James
2023-06-30 21:14 Sam James
2023-06-30 19:30 Sam James
2023-06-30 19:19 Sam James
2022-08-28 5:06 WANG Xuerui
2022-04-15 5:30 Sam James
2022-04-15 5:00 Robin H. Johnson
2022-02-21 19:47 Andrew Ammerlaan
2022-02-21 19:47 Andrew Ammerlaan
2022-01-10 11:47 Andrew Ammerlaan
2022-01-10 11:47 Andrew Ammerlaan
2021-08-18 0:35 Yixun Lan
2021-07-09 22:48 Conrad Kostecki
2021-07-09 22:48 Conrad Kostecki
2021-07-09 22:36 Conrad Kostecki
2021-07-09 22:36 Conrad Kostecki
2020-05-18 22:39 Georgy Yakovlev
2019-07-15 23:16 Manuel Rüger
2019-07-15 23:16 Manuel Rüger
2019-02-26 20:54 Andreas Sturmlechner
2018-08-04 17:48 Jonathan Scruggs
2018-08-04 16:31 Jonathan Scruggs
2018-01-27 17:19 Jonathan Scruggs
2018-01-26 13:03 Jeroen Roovers
2018-01-25 21:35 Jonathan Scruggs
2017-10-10 13:50 Michael Palimaka
2017-09-23 8:38 David Seifert
2017-08-16 21:00 Michał Górny
2017-08-16 21:00 Michał Górny
2017-01-29 17:09 Michael Palimaka
2017-01-29 17:09 Michael Palimaka
2017-01-15 11:14 David Seifert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1596150462.b6a980e776954dbc69640c3afc2d1204c3a8d8f5.robbat2@gentoo \
--to=robbat2@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox